# Method: licenseAssignments.listForProduct

- [HTTP request](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/listForProduct#try-it)

List all users assigned licenses for a specific product SKU.

### HTTP request

`GET https://licensing.googleapis.com/apps/licensing/v1/product/{productId}/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `productId` | `string` A product's unique identifier. For more information about products in this version of the API, see [Products and SKUs](https://developers.google.com/workspace/admin/licensing/v1/how-tos/products). |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` The customer's unique ID as defined in the Admin console, such as `C00000000`. If the customer is suspended, the server returns an error. |
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` The `maxResults` query string determines how many entries are returned on each page of a large response. This is an optional parameter. The value must be a positive number. |
| `pageToken` | `string` Token to fetch the next page of data. The `maxResults` query string is related to the `pageToken` since `maxResults` determines how many entries are returned on each page. This is an optional query string. If not specified, the server returns the first page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/licensing/reference/rest/v1/LicenseAssignmentList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.licensing`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).